Index: branches/new_class_id/src/lib/collision_detection/aabb.cc
===================================================================
--- branches/new_class_id/src/lib/collision_detection/aabb.cc	(revision 9687)
+++ branches/new_class_id/src/lib/collision_detection/aabb.cc	(revision 9715)
@@ -21,5 +21,5 @@
 
 
-NewObjectListDefinition(AABB);
+ObjectListDefinition(AABB);
 /**
  *  standard constructor
Index: branches/new_class_id/src/lib/collision_detection/aabb.h
===================================================================
--- branches/new_class_id/src/lib/collision_detection/aabb.h	(revision 9687)
+++ branches/new_class_id/src/lib/collision_detection/aabb.h	(revision 9715)
@@ -13,5 +13,5 @@
 //! A class representing an extended bounding volume tree: an obb tree
 class AABB : public BoundingVolume {
-  NewObjectListDeclaration(AABB);
+  ObjectListDeclaration(AABB);
 
  public:
Index: branches/new_class_id/src/lib/collision_detection/aabb_tree_node.cc
===================================================================
--- branches/new_class_id/src/lib/collision_detection/aabb_tree_node.cc	(revision 9687)
+++ branches/new_class_id/src/lib/collision_detection/aabb_tree_node.cc	(revision 9715)
@@ -34,5 +34,5 @@
 GLUquadricObj* AABBTreeNode_sphereObj = NULL;
 
-NewObjectListDefinition(AABBTreeNode);
+ObjectListDefinition(AABBTreeNode);
 /**
  *  standard constructor
Index: branches/new_class_id/src/lib/collision_detection/aabb_tree_node.h
===================================================================
--- branches/new_class_id/src/lib/collision_detection/aabb_tree_node.h	(revision 9687)
+++ branches/new_class_id/src/lib/collision_detection/aabb_tree_node.h	(revision 9715)
@@ -21,5 +21,5 @@
 class AABBTreeNode : public BVTreeNode
 {
-  NewObjectListDeclaration(AABBTreeNode);
+  ObjectListDeclaration(AABBTreeNode);
 
 
Index: branches/new_class_id/src/lib/collision_detection/bounding_sphere.cc
===================================================================
--- branches/new_class_id/src/lib/collision_detection/bounding_sphere.cc	(revision 9687)
+++ branches/new_class_id/src/lib/collision_detection/bounding_sphere.cc	(revision 9715)
@@ -20,5 +20,5 @@
 
 
-NewObjectListDefinition(BoundingSphere);
+ObjectListDefinition(BoundingSphere);
 /**
  *  standard constructor
Index: branches/new_class_id/src/lib/collision_detection/bounding_sphere.h
===================================================================
--- branches/new_class_id/src/lib/collision_detection/bounding_sphere.h	(revision 9687)
+++ branches/new_class_id/src/lib/collision_detection/bounding_sphere.h	(revision 9715)
@@ -14,5 +14,5 @@
 //! A class representing an extended bounding volume tree: an sphere
 class BoundingSphere : public BoundingVolume {
-  NewObjectListDeclaration(BoundingSphere);
+  ObjectListDeclaration(BoundingSphere);
 
  public:
Index: branches/new_class_id/src/lib/collision_detection/bounding_volume.cc
===================================================================
--- branches/new_class_id/src/lib/collision_detection/bounding_volume.cc	(revision 9687)
+++ branches/new_class_id/src/lib/collision_detection/bounding_volume.cc	(revision 9715)
@@ -20,5 +20,5 @@
 
 
-NewObjectListDefinition(BoundingVolume);
+ObjectListDefinition(BoundingVolume);
 /**
  *  standard constructor
Index: branches/new_class_id/src/lib/collision_detection/bounding_volume.h
===================================================================
--- branches/new_class_id/src/lib/collision_detection/bounding_volume.h	(revision 9687)
+++ branches/new_class_id/src/lib/collision_detection/bounding_volume.h	(revision 9715)
@@ -17,5 +17,5 @@
 //! An abstract class representing a bounding volume
 class BoundingVolume : public BaseObject {
-  NewObjectListDeclaration(BoundingVolume);
+  ObjectListDeclaration(BoundingVolume);
 
   public:
Index: branches/new_class_id/src/lib/collision_detection/bv_tree.cc
===================================================================
--- branches/new_class_id/src/lib/collision_detection/bv_tree.cc	(revision 9687)
+++ branches/new_class_id/src/lib/collision_detection/bv_tree.cc	(revision 9715)
@@ -21,5 +21,5 @@
 
 
-NewObjectListDefinition(BVTree);
+ObjectListDefinition(BVTree);
 /**
  *  standard constructor
Index: branches/new_class_id/src/lib/collision_detection/bv_tree.h
===================================================================
--- branches/new_class_id/src/lib/collision_detection/bv_tree.h	(revision 9687)
+++ branches/new_class_id/src/lib/collision_detection/bv_tree.h	(revision 9715)
@@ -36,5 +36,5 @@
 class BVTree : public BaseObject
 {
-  NewObjectListDeclaration(BVTree);
+  ObjectListDeclaration(BVTree);
 
   public:
Index: branches/new_class_id/src/lib/collision_detection/bv_tree_node.cc
===================================================================
--- branches/new_class_id/src/lib/collision_detection/bv_tree_node.cc	(revision 9687)
+++ branches/new_class_id/src/lib/collision_detection/bv_tree_node.cc	(revision 9715)
@@ -20,5 +20,5 @@
 
 
-NewObjectListDefinition(BVTreeNode);
+ObjectListDefinition(BVTreeNode);
 /**
  *  standard constructor
Index: branches/new_class_id/src/lib/collision_detection/bv_tree_node.h
===================================================================
--- branches/new_class_id/src/lib/collision_detection/bv_tree_node.h	(revision 9687)
+++ branches/new_class_id/src/lib/collision_detection/bv_tree_node.h	(revision 9715)
@@ -24,5 +24,5 @@
 //! A class that represents a bounding volume tree
 class BVTreeNode : public BaseObject {
-  NewObjectListDeclaration(BVTreeNode);
+  ObjectListDeclaration(BVTreeNode);
 
 
Index: branches/new_class_id/src/lib/collision_detection/cd_engine.cc
===================================================================
--- branches/new_class_id/src/lib/collision_detection/cd_engine.cc	(revision 9687)
+++ branches/new_class_id/src/lib/collision_detection/cd_engine.cc	(revision 9715)
@@ -34,5 +34,5 @@
 
 
-NewObjectListDefinition(CDEngine);
+ObjectListDefinition(CDEngine);
 /**
  * @brief standard constructor
@@ -103,5 +103,5 @@
   std::list<WorldEntity*>::iterator entityIterator;
   // for all bsp managers check all entities
-  for( NewObjectList<BspEntity>::const_iterator bspIterator = BspEntity::objectList().begin();
+  for( ObjectList<BspEntity>::const_iterator bspIterator = BspEntity::objectList().begin();
        bspIterator != BspEntity::objectList().end();
        bspIterator++) {
Index: branches/new_class_id/src/lib/collision_detection/cd_engine.h
===================================================================
--- branches/new_class_id/src/lib/collision_detection/cd_engine.h	(revision 9687)
+++ branches/new_class_id/src/lib/collision_detection/cd_engine.h	(revision 9715)
@@ -36,5 +36,5 @@
 //! The class representing the collision detection system of orxonox
 class CDEngine : public BaseObject {
-  NewObjectListDeclaration(CDEngine);
+  ObjectListDeclaration(CDEngine);
 
   friend class WorldEntity;
Index: branches/new_class_id/src/lib/collision_detection/obb.cc
===================================================================
--- branches/new_class_id/src/lib/collision_detection/obb.cc	(revision 9687)
+++ branches/new_class_id/src/lib/collision_detection/obb.cc	(revision 9715)
@@ -21,5 +21,5 @@
 
 
-NewObjectListDefinition(OBB);
+ObjectListDefinition(OBB);
 /**
  *  standard constructor
Index: branches/new_class_id/src/lib/collision_detection/obb.h
===================================================================
--- branches/new_class_id/src/lib/collision_detection/obb.h	(revision 9687)
+++ branches/new_class_id/src/lib/collision_detection/obb.h	(revision 9715)
@@ -15,5 +15,5 @@
 //! A class representing an extended bounding volume tree: an obb tree
 class OBB : public BoundingVolume {
-  NewObjectListDeclaration(OBB);
+  ObjectListDeclaration(OBB);
 
  public:
Index: branches/new_class_id/src/lib/collision_detection/obb_tree.cc
===================================================================
--- branches/new_class_id/src/lib/collision_detection/obb_tree.cc	(revision 9687)
+++ branches/new_class_id/src/lib/collision_detection/obb_tree.cc	(revision 9715)
@@ -27,5 +27,5 @@
 
 
-NewObjectListDefinition(OBBTree);
+ObjectListDefinition(OBBTree);
 /**
  *  standard constructor
Index: branches/new_class_id/src/lib/collision_detection/obb_tree.h
===================================================================
--- branches/new_class_id/src/lib/collision_detection/obb_tree.h	(revision 9687)
+++ branches/new_class_id/src/lib/collision_detection/obb_tree.h	(revision 9715)
@@ -20,5 +20,5 @@
 class OBBTree : public BVTree
 {
-  NewObjectListDeclaration(OBBTree);
+  ObjectListDeclaration(OBBTree);
 
   public:
Index: branches/new_class_id/src/lib/collision_detection/obb_tree_node.cc
===================================================================
--- branches/new_class_id/src/lib/collision_detection/obb_tree_node.cc	(revision 9687)
+++ branches/new_class_id/src/lib/collision_detection/obb_tree_node.cc	(revision 9715)
@@ -38,5 +38,5 @@
 GLUquadricObj* OBBTreeNode_sphereObj = NULL;
 
-NewObjectListDefinition(OBBTreeNode);
+ObjectListDefinition(OBBTreeNode);
 /**
  *  standard constructor
Index: branches/new_class_id/src/lib/collision_detection/obb_tree_node.h
===================================================================
--- branches/new_class_id/src/lib/collision_detection/obb_tree_node.h	(revision 9687)
+++ branches/new_class_id/src/lib/collision_detection/obb_tree_node.h	(revision 9715)
@@ -20,5 +20,5 @@
 class OBBTreeNode : public BVTreeNode
 {
-  NewObjectListDeclaration(OBBTreeNode);
+  ObjectListDeclaration(OBBTreeNode);
   public:
     OBBTreeNode(const OBBTree& tree, OBBTreeNode* prev, int depth);
